<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Conduct.Core.SceneManagementAsync</name>
    </assembly>
    <members>
        <member name="T:Conduct.Core.SceneManagement.SceneManagerAsyncExtensions">
            <summary>
            A collection of async scene management methods.
            </summary>
        </member>
        <member name="M:Conduct.Core.SceneManagement.SceneManagerAsyncExtensions.LoadSceneAsync(Conduct.Core.SceneManagement.ISceneManager,System.String,Conduct.Core.SceneManagement.LoadSceneMode)">
            <summary>
            Loads a scene asynchronously.
            </summary>
            <param name="sceneManager">The scene manager.</param>
            <param name="sceneName">Name of the scene.</param>
            <param name="loadSceneMode">The load scene mode.</param>
            <returns></returns>
        </member>
        <member name="M:Conduct.Core.SceneManagement.SceneManagerAsyncExtensions.LoadSceneAsync(Conduct.Core.SceneManagement.ISceneManager,System.String,Conduct.Core.SceneManagement.LoadSceneMode,System.Boolean)">
            <summary>
            Loads a scene asynchronously.
            </summary>
            <param name="sceneManager">The scene manager.</param>
            <param name="sceneName">Name of the scene.</param>
            <param name="loadSceneMode">The load scene mode.</param>
            <param name="initializeScene">if set to <c>true</c> [initialize scene].</param>
            <returns></returns>
        </member>
        <member name="M:Conduct.Core.SceneManagement.SceneManagerAsyncExtensions.UnloadSceneAsync(Conduct.Core.SceneManagement.ISceneManager,System.String)">
            <summary>
            Unloads a scene asynchronously.
            </summary>
            <param name="sceneManager">The scene manager.</param>
            <param name="sceneName">Name of the scene.</param>
            <returns></returns>
        </member>
        <member name="M:Conduct.Core.SceneManagement.SceneManagerAsyncExtensions.UnloadSceneAsync(Conduct.Core.SceneManagement.ISceneManager,System.String,System.Boolean)">
            <summary>
            Unloads a scene asynchronously.
            </summary>
            <param name="sceneManager">The scene manager.</param>
            <param name="sceneName">Name of the scene.</param>
            <param name="deinitializeScene">if set to <c>true</c> [deinitialize scene].</param>
            <returns></returns>
        </member>
    </members>
</doc>
